%define qtdir qt-3.1
%define po_package redhat-artwork

Summary: Artwork for CentOS default look-and-feel
Name: redhat-artwork
Version: 0.73.2
Release: 1E.centos.3
URL: http://www.centos.org
Source0: %{name}-%{version}.tar.gz
Group: User Interface/Desktops
License: GPL - CentOS logos Copyright 2003 and Trademark Definite Software Ltd
BuildRoot: %{_tmppath}/%{name}-root
Conflicts: qt < 1:3.0.4-11
Conflicts: gtk-engines < 0.11-13
Conflicts: gnome-session <= 2.0.1-3
Conflicts: kdebase <= 6:3.0.3-1
# we don't want to require gtk/qt
Autoreq: 0

BuildRequires: gtk2-devel >= 2.0.3-3
BuildRequires: qt-devel >= 3.1.0
BuildRequires: kdebase-devel >= 3.0.3-1
BuildRequires: gtk+-devel
BuildRequires: zlib-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: arts-devel
BuildRequires: kdelibs-devel

# for splash screens, and a logo in gdm theme
Requires: redhat-logos >= 1.1.10

PreReq: %{_libdir}/%{qtdir}

%description
redhat-artwork contains the themes and icons that make up the CentOS default 
look and feel.

%prep
%setup -q

%build

## this is apparently how Qt finds itself.
## they need pkg-config gospel.
unset QTDIR
echo "Trying to source qt.sh"
. /etc/profile.d/qt.sh
echo "QTDIR is $QTDIR"
export QTDIR

export LANG=en_US.ISO-8859-1 ## workaround for intltool sucking in UTF-8
%configure

cc ${CFLAGS:-%optflags} ${FFLAGS:-%optflags} `pkg-config --cflags --libs gtk+-2.0` easter.c -o redhat-credits

export LANG=en_US.ISO-8859-1 ## workaround for intltool sucking in UTF-8
make

%install
rm -rf $RPM_BUILD_ROOT
export LANG=en_US.ISO-8859-1 ## workaround for intltool sucking in UTF-8
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0
install -m 0644 gtkrc2-default $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0/gtkrc
./mkinstalldirs $RPM_BUILD_ROOT%{_sysconfdir}/skel
install -m 0644 gtkrc1-skel $RPM_BUILD_ROOT%{_sysconfdir}/skel/.gtkrc
./mkinstalldirs $RPM_BUILD_ROOT/root
install -m 0644 gtkrc1-skel $RPM_BUILD_ROOT/root/.gtkrc

./mkinstalldirs $RPM_BUILD_ROOT%{_datadir}
install -m 0644 theme.ogg $RPM_BUILD_ROOT%{_datadir}/redhat-credits.ogg

./mkinstalldirs $RPM_BUILD_ROOT%{_libexecdir}
install -m 0755 redhat-credits $RPM_BUILD_ROOT%{_libexecdir}/redhat-credits

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{po_package}.lang
%defattr(-,root,root)
%doc NEWS ChangeLog README 

%{_datadir}/themes
%{_datadir}/gdm/themes
%{_datadir}/icons
%{_datadir}/apps
%{_datadir}/pixmaps
%{_datadir}/xmms
%{_libdir}/kde3
%{_libdir}/gtk
%{_libdir}/gtk-2.0
%{_libdir}/%{qtdir}/*
%{_libexecdir}/*
%{_datadir}/*.ogg
%dir %{_sysconfdir}/gtk-2.0
%config %{_sysconfdir}/gtk-2.0/gtkrc
%config %{_sysconfdir}/skel/.gtkrc
%config /root/.gtkrc

%changelog
* Sat Dec 27 2003 Maarten Stolte <m.stolte@orangenose.com>
- Added missing requires
- removed COPYING copy action

* Sun Dec 22 2003 Lance Davis <lance@caosity.org>
- changed to CentOS artwork

* Wed Aug 20 2003 Than Ngo <than@redhat.com> 0.73.2-1E
- add missing KDE icons

* Wed Aug 20 2003 Alexander Larsson <alexl@redhat.com> 0.73.1-1E
- backport bugfixes from head

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Wed Feb 26 2003 Havoc Pennington <hp@redhat.com> 0.73-1
- 0.73 fixes 800x600 and theme thumbnail

* Mon Feb 24 2003 Havoc Pennington <hp@redhat.com> 0.72-1
- 0.72 with new music

* Mon Feb 24 2003 Havoc Pennington <hp@redhat.com> 0.71-1
- 0.71 tweaks

* Mon Feb 24 2003 Havoc Pennington <hp@redhat.com> 0.70-1
- 0.70 hopefully closes the last few blockers and doesn't break anything...

* Fri Feb 21 2003 Jonathan Blandford <jrb@redhat.com> 0.69-1
- 0.69 fixes cursors and adds animated watch glass

* Tue Feb 18 2003 Havoc Pennington <hp@redhat.com> 0.68-1
- 0.68 moves an image to redhat-logos

* Mon Feb 17 2003 Havoc Pennington <hp@redhat.com> 0.67-1
- 0.67

* Sat Feb 15 2003 Than Ngo <than@redhat.com> 0.66-1
- 0.66, fix several qt theme problems

* Wed Feb 12 2003 Alexander Larsson <alexl@redhat.com> 0.65-1
- 0.65, than fixed kde icon theme

* Fri Feb  7 2003 Jonathan Blandford <jrb@redhat.com> 0.64-1
- new version.  New cursors

* Thu Jan 30 2003 Alexander Larsson <alexl@redhat.com>
- 0.63, Qt theme updated

* Mon Jan 27 2003 Havoc Pennington <hp@redhat.com>
- 0.62

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Havoc Pennington <hp@redhat.com>
- 0.61, we needed to set LANG while making the distribution

* Tue Jan 21 2003 Havoc Pennington <hp@redhat.com>
- set LANG to an ISO-8859-1 locale so intltool won't get confused

* Fri Jan 17 2003 Havoc Pennington <hp@redhat.com>
- 0.60 with the cursors

* Tue Jan 14 2003 Havoc Pennington <hp@redhat.com>
- 0.59

* Fri Jan 10 2003 Havoc Pennington <hp@redhat.com>
- 0.57 with stock icons
- 0.58 with stock icons really

* Thu Jan  9 2003 Alexander Larsson <alexl@redhat.com>
- 0.56

* Thu Jan  9 2003 Alexander Larsson <alexl@redhat.com>
- 0.55

* Wed Jan  8 2003 Havoc Pennington <hp@redhat.com>
- 0.54

* Sat Jan  4 2003 Jeff Johnson <jbj@redhat.com> 0.53-2
- use internal dep generator.

* Fri Dec 20 2002 Than Ngo <than@redhat.com> 0.53-1
- 0.53

* Wed Dec 18 2002 Than Ngo <than@redhat.com> 0.50-1
- fix a bug in kwin plugin, crash on clicking menu button

* Tue Dec 17 2002 Tim Powers <timp@redhat.com> 0.49-4
- rebuild
- don't use rpm's internal dep gen

* Mon Dec  9 2002 Tim Powers <timp@redhat.com> 0.49-3
- rebuild

* Wed Dec  4 2002 Tim Powers <timp@redhat.com> 0.49-2
- rebuild

* Tue Nov 19 2002 Than Ngo <than@redhat.com>
- 0.49, add search path for plugins, fix conflict with qt 3.1.0

* Tue Nov 12 2002 Havoc Pennington <hp@redhat.com>
- install to qt-3.0.5 as temporary workaround

* Fri Nov  8 2002 Jeremy Katz <katzj@redhat.com>
- rebuild for new gtk2 engine paths

* Thu Sep  5 2002 Havoc Pennington <hp@redhat.com>
- 0.47 with gdm translations restored

* Thu Sep  5 2002 Havoc Pennington <hp@redhat.com>
- 0.46

* Tue Sep  3 2002 Havoc Pennington <hp@redhat.com>
- 0.45 (updates some icons, COPYING)

* Tue Sep  3 2002 Havoc Pennington <hp@redhat.com>
- 0.44

* Tue Sep  3 2002 Than Ngo <than@redhat.com>
- 0.42 with some new icons and XIMInputStyle fix for Qt

* Fri Aug 30 2002 Havoc Pennington <hp@redhat.com>
- 0.41 with new kwin, new logout/exit/etc. icons

* Fri Aug 30 2002 Havoc Pennington <hp@redhat.com>
- 0.40 with lots of new icons, splash, etc.

* Mon Aug 19 2002 Havoc Pennington <hp@redhat.com>
- 0.38 with new icons

* Fri Aug 16 2002 Owen Taylor <otaylor@redhat.com>
- 0.37, with UTF-8 fixes for bluecurve.xml

* Fri Aug 16 2002 Havoc Pennington <hp@redhat.com>
- 0.35 with more icons

* Wed Aug 14 2002 Havoc Pennington <hp@redhat.com>
- 0.33 with KDE trash and menu icon

* Wed Aug 14 2002 Havoc Pennington <hp@redhat.com>
- put missing icons in Makefile

* Wed Aug 14 2002 Alexander Larsson <alexl@redhat.com>
- 0.31, greeter theme fixes, gtk+ fixes, icon changes

* Tue Aug 13 2002 Alexander Larsson <alexl@redhat.com>
- 0.30, Fixed bad gkt+ theme memory and pixmap leak

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 0.29 with fixed gdm theme

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 0.28 with new gdm stuff and icons and so forth

* Fri Aug  9 2002 Havoc Pennington <hp@redhat.com>
- 0.26 with Bluecurve name
- 0.27 with Bluecurve name (fixed)

* Wed Aug  7 2002 Havoc Pennington <hp@redhat.com>
- 0.24 with nautilus theme, placeholders for some app icons
- 0.25 with aliases for home icon (bug 67791) and some new icons

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 0.23 move metacity themes

* Sat Aug  3 2002 Havoc Pennington <hp@redhat.com>
- 0.22 xmms theme

* Thu Aug  1 2002 Havoc Pennington <hp@redhat.com>
- 0.21 move ksplash stuff to right place
- add QTDIR hack

* Wed Jul 31 2002 Havoc Pennington <hp@redhat.com>
- 0.20

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 0.19, some assorted fixes from people

* Fri Jul 19 2002 Alexander Larsson <alexl@redhat.com> 0.17-1
- 0.17 moved gtkrc inside tarball. conflict with gtk-engines < 0.11-13
- Install default gtkrc files for gtk1 and gtk2

* Fri Jul 19 2002 Alexander Larsson <alexl@redhat.com> 0.16-1
- Bump version. Has new gtk1 theme fixes.

* Wed Jul 17 2002 Owen Taylor <otaylor@redhat.com>
- Bump version number, tag, do a formal distcheck

* Tue Jul 16 2002 Than Ngo <than@redhat.com> 0.14-3
- don't remove qtrc
- added conflict with qt < 3.0.4-11

* Tue Jul 16 2002 Havoc Pennington <hp@redhat.com>
- adjust file list again, we want to err on the side of 
  owning more directories. It doesn't hurt anything 
  to do so, and you may install this package 
  without installing kde or metacity first.
  There's no prereqs on those. Owning more dirs means 
  we don't get orphaned directories.

* Tue Jul 16 2002 Alexander Larsson <alla@lysator.liu.se> 0.14-1
- New gtk+ theme changes

* Tue Jul 16 2002 Than Ngo <than@redhat.com> 0.13-1
- 0.13
- add qt resource into redhat-artwork

* Wed Jul  3 2002 Than Ngo <than@redhat.com> 0.12-1
- more fixes to qt theme
- Wonderland kwin theme
- fixup specfile

* Mon Jul  1 2002 Than Ngo <than@redhat.com> 0.11-1
- more fixes to qt theme
- added Wonderland colorscheme for KDE

* Fri Jun 28 2002 Alex Larsson - contractor <alexl@redhat.com>
- New version 0.10, further fixes to the gtk+ theme

* Thu Jun 27 2002 Owen Taylor <otaylor@redhat.com>
- Remove backwards-compat patch so it works with the current 
  metacity in the tree

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- New version including GDM placeholder theme

* Wed Jun 19 2002 Havoc Pennington <hp@redhat.com>
- 0.7

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- remove empty AUTHORS and COPYING files

* Thu Jun 13 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Jun 13 2002 Havoc Pennington <hp@redhat.com>
- prereq /usr/lib/qt3

* Thu Jun 13 2002 Havoc Pennington <hp@redhat.com>
- autoreq 0 to avoid pointless dependencies
- own directories again except not the qt3 symlink

* Thu Jun 13 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.6-2
- tidy up URL, source list
- don't include qtrc for now
- don't own so many directories

* Wed Jun 12 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun 12 2002 Havoc Pennington <hp@redhat.com>
- 0.6, with Qt theme

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- 0.5

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- 0.4
- fix group

* Mon Jun 03 2002 Havoc Pennington <hp@redhat.com>
- fix gtkrc

* Mon Jun 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun 03 2002 Havoc Pennington <hp@redhat.com>
- build requires gtk2-devel
- include a gtkrc to set default theme to Wonderland

* Mon Jun 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun  3 2002 Havoc Pennington <hp@redhat.com>
- 0.3
- no longer noarch

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 10 2002 Havoc Pennington <hp@redhat.com>
- fix gtk theme location

* Fri May 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May  9 2002 Havoc Pennington <hp@redhat.com>
- initial build

